v 14.0 Third Party 40805
Download for v 14.0 Deploy on Odoo.sh
Lines of code 383
Technical Name auto_backup
LicenseLGPL-3
Websitehttp://www.odoo.yenthevg.com
Also available in version v 8.0 v 10.0 v 9.0 v 11.0 v 13.0 v 12.0
You bought this module and need support? Click here!

Automated backups

A tool for all your back-ups, internal and external!

Keep your Odoo data safe with this module. Take automated back-ups, remove them automatically and even write them to an external server through an encrypted tunnel. You can even specify how long local backups and external backups should be kept, automatically!

Start your free trial

Connect with an FTP Server

Keep your data safe, through an SSH tunnel!

Want to go even further and write your backups to an external server? You can with this module! Specify the credentials to the server, specify a path and everything will be backed up automatically. This is done through an SSH (encrypted) tunnel, thanks to pysftp, so your data is safe!

Test connection

Checks your credentials in one click

Want to make sure if the connection details are correct and if Odoo can automatically write them to the remote server? Simply click on the 'Test SFTP Connection' button and you will get message telling you if everything is OK, or what is wrong!

E-mail on backup failure

Stay informed of problems, automatically!

Do you want to know if the database backup failed? Check the checkbox 'Auto. E-mail on backup fail' and fill in your e-mail. Every time a backup fails you will get an e-mail in your mailbox with technical details.

Contact / Support

Need help or want extra features?

Need help with the configuration or want this module to have more functionalities? Please create a bug report on the Github issue tracker

Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
Odoo Server Error auto_backups
by
Lucas Arce
on 10/13/20, 5:05 PM

Hello, thanks first, install odoo 13 in digitalocean with your script and install the auto_backups module when executing it with the Odoobot user, the following error appears.

Error:

Odoo Server Error


Traceback (most recent call last):

  File "/odoo/odoo-server/odoo/tools/safe_eval.py", line 352, in safe_eval

    return unsafe_eval(c, globals_dict, locals_dict)

  File "", line 1, in <module>

  File "/odoo/custom/addons/auto_backup/models/db_backup.py", line 130, in schedule_backup

    fp = open(file_path, 'wb')

PermissionError: [Errno 13] Permission denied: '/odoo/backups/2020_10_13_21_43_21_EaDonJulio.zip'


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

  File "/odoo/odoo-server/odoo/http.py", line 624, in _handle_exception

    return super(JsonRequest, self)._handle_exception(exception)

  File "/odoo/odoo-server/odoo/http.py", line 310, in _handle_exception

    raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])

  File "/odoo/odoo-server/odoo/tools/pycompat.py", line 14, in reraise

    raise value

  File "/odoo/odoo-server/odoo/http.py", line 669, in dispatch

    result = self._call_function(**self.params)

  File "/odoo/odoo-server/odoo/http.py", line 350, in _call_function

    return checked_call(self.db, *args, **kwargs)

  File "/odoo/odoo-server/odoo/service/model.py", line 94, in wrapper

    return f(dbname, *args, **kwargs)

  File "/odoo/odoo-server/odoo/http.py", line 339, in checked_call

    result = self.endpoint(*a, **kw)

  File "/odoo/odoo-server/odoo/http.py", line 915, in __call__

    return self.method(*args, **kw)

  File "/odoo/odoo-server/odoo/http.py", line 515, in response_wrap

    response = f(*args, **kw)

  File "/odoo/odoo-server/addons/web/controllers/main.py", line 1326, in call_button

    action = self._call_kw(model, method, args, kwargs)

  File "/odoo/odoo-server/addons/web/controllers/main.py", line 1314, in _call_kw

    return call_kw(request.env[model], method, args, kwargs)

  File "/odoo/odoo-server/odoo/api.py", line 387, in call_kw

    result = _call_kw_multi(method, model, args, kwargs)

  File "/odoo/odoo-server/odoo/api.py", line 374, in _call_kw_multi

    result = method(recs, *args, **kwargs)

  File "/odoo/odoo-server/odoo/addons/base/models/ir_cron.py", line 83, in method_direct_trigger

    self.with_user(cron.user_id).ir_actions_server_id.run()

  File "/odoo/odoo-server/odoo/addons/base/models/ir_actions.py", line 545, in run

    res = func(action, eval_context=eval_context)

  File "/odoo/odoo-server/addons/website/models/ir_actions.py", line 59, in run_action_code_multi

    res = super(ServerAction, self).run_action_code_multi(action, eval_context)

  File "/odoo/odoo-server/odoo/addons/base/models/ir_actions.py", line 430, in run_action_code_multi

    safe_eval(action.sudo().code.strip(), eval_context, mode="exec", nocopy=True)  # nocopy allows to return 'action'

  File "/odoo/odoo-server/odoo/tools/safe_eval.py", line 375, in safe_eval

    pycompat.reraise(ValueError, ValueError('%s: "%s" while evaluating\n%r' % (ustr(type(e)), ustr(e), expr)), exc_info[2])

  File "/odoo/odoo-server/odoo/tools/pycompat.py", line 13, in reraise

    raise value.with_traceback(tb)

  File "/odoo/odoo-server/odoo/tools/safe_eval.py", line 352, in safe_eval

    return unsafe_eval(c, globals_dict, locals_dict)

  File "", line 1, in <module>

  File "/odoo/custom/addons/auto_backup/models/db_backup.py", line 130, in schedule_backup

    fp = open(file_path, 'wb')

ValueError: <class 'PermissionError'>: "13

Permission denied" while evaluating

'model.schedule_backup()'

Re: Odoo Server Error auto_backups
by
Yenthe
on 10/17/20, 4:24 AM Author

Hi,

Your folder "/odoo/backups" simply doesn't have enough access rights for your Odoo user. Modify the rights of the folder and it will work.


Hi Yenthe Van Ginneken.
by
Oleksandr
on 10/19/20, 8:53 AM

After installing in odoo 14 then I go to Settings / Technical / Automation / Scheduled Actions. But there no any Backup action. Can you write here what parameters I must write to new Action to run backup? Thanks


get error 'Here is what we got instead: Raw'
by
liuhaiyan
on 10/9/20, 7:41 AM

hello,

I want to backup database to my Synology NAS.

when I click 'test sftp connections',I get these error.how can fix the error?thanks.

Here is what we got instead:
Raw